Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Register and log in tenants to obtain API keys.
/v1
curl -X POST https://nombasub.oluwadunsin.dev/auth/register \ -H "Content-Type: application/json" \ -d '{ "businessName": "Acme SaaS", "accountId": "nomba_account_or_subaccount_id" }'
businessName
accountId
{ "status": "success", "message": "Tenant registered successfully", "data": { "apiKey": "sub_xxx" } }
{ "status": "error", "message": "A tenant has already been created for this account id", "data": null }
curl -X POST https://nombasub.oluwadunsin.dev/auth/login \ -H "Content-Type: application/json" \ -d '{ "accountId": "nomba_account_or_subaccount_id" }'
{ "status": "success", "message": "Tenant logged in successfully", "data": { "apiKey": "sub_xxx" } }
{ "status": "error", "message": "Tenant not found", "data": null }
curl -X POST https://nombasub.oluwadunsin.dev/auth/set-webhook-url \ -H "Content-Type: application/json" \ -H "X-Api-Key: sub_xxx" \ -d '{ "webhookUrl": "https://merchant.example.com/webhooks/nombasub" }'
webhookUrl
{ "status": "success", "message": "Webhook URL set successfully", "data": { "webhookSecret": "whsec_64_character_secret" } }